Bug 21327 - /etc/inputrc wants On/Off, not on/off
Summary: /etc/inputrc wants On/Off, not on/off
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: readline (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-25 15:09 UTC by j. alan eldridge
Modified: 2007-04-18 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 07:03:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix boolean values in /etc/inputrc (507 bytes, patch)
2000-11-25 15:10 UTC, j. alan eldridge
no flags Details | Diff

Description j. alan eldridge 2000-11-25 15:09:03 UTC
The GNU Readline library expects boolean values in /etc/inputrc (or
${HOME}/.inputrc) to be the strings "On" or "Off", not their lowercased
equivalents.

Bug was detected by perl-5.6.0 when loading the Readline module (after
upgrading componenets using "install Bundle::CPAN".

Comment 1 j. alan eldridge 2000-11-25 15:10:00 UTC
Created attachment 5706 [details]
patch to fix boolean values in /etc/inputrc

Comment 2 Pekka Savola 2000-11-25 19:57:19 UTC
The current values work just fine (e.g. bash).  I find it's probable that perl readline 
may be broken.


Comment 3 j. alan eldridge 2000-11-25 20:03:53 UTC
from "man readline" on a RH7 box:

Variables
    Readline has variables that can be used  to  further  cus-
    tomize its behavior.  A variable may be set in the inputrc
    file with a statement of the form

           set variable-name value

    Except where noted, readline variables can take the values
    On or Off.  The variables and their default values are:
    ^^^^^^^^^ note capitalization




Comment 4 Bill Nottingham 2000-11-28 07:03:08 UTC
According to the readline source (bind.c):


/* A boolean value that can appear in a `set variable' command is true if
   the value is null or empty, `on' (case-insenstive), or "1".  Any other
   values result in 0 (false). */

So, the inputrc is not in error. The readline documentation might be. :)

Comment 5 Nalin Dahyabhai 2001-04-07 00:30:25 UTC
The library will accept either "On" or "on" as equivalent.  The info docs even
use lower-case spellings for examples.  The man page is out of date, but it will
be changed to match the examples in the info documentation (in 4.1-9 and later).


Note You need to log in before you can comment on or make changes to this bug.